ImageMagick and RMagick

apps

#1

I’ve been pulling my hair for the last two days trying to figure this one out…

I’ve followed both the the tutorials for installing ImageMagick and RMagick on DreamHost.

After creating a local gem repo and installing ImageMagick I move onto to install the RMagick gem and I receive this error:

midas:~/src> gem install -l rmagick-1.15.12.gem – --build-opts --prefix=$HOME/local
Building native extensions. This could take a while…
ERROR: Error installing rmagick-1.15.12.gem:
ERROR: Failed to build gem native extension.

/usr/bin/ruby1.8 gem_extconf.rb install -l rmagick-1.15.12.gem – --build-opts --prefix=/home/gmelton/local

sh configure --prefix=/home/gmelton/local

Configuring RMagick 1.15.12
checking for gcc… gcc
checking for C compiler default output file name… a.out
checking whether the C compiler works… yes
checking whether we are cross compiling… no
checking for suffix of executables…
checking for suffix of object files… o
checking whether we are using the GNU C compiler… yes
checking whether gcc accepts -g… yes
checking for gcc option to accept ISO C89… none needed
checking for gcc option to accept ISO C99… -std=gnu99
checking for gcc -std=gnu99 option to accept ISO Standard C… (cached) -std=gnu99
checking for ruby… /usr/bin/ruby
checking Ruby version… 1.8.5
checking for Magick-config… no
checking for GraphicsMagick-config… no
configure: error: Can’t install RMagick. Can’t find Magick-config or GraphicsMagick-config program.
RMagick configuration failed with status 1.

Gem files will remain installed in /home/gmelton/gems/gems/rmagick-1.15.12 for inspection.
Results logged to /home/.wimple/gmelton/gems/gems/rmagick-1.15.12/gem_make.out

Now, everything I’ve read mentions I need to install either imagemagick-dev and/or libmagick-dev since the missing files reside in either of these packages.

Has anyone else come across this problem? Both of the solutions below involve using the built-in package managers to install – which require sudo access. I’m stuck!

Please help…

Greg

Possible solutions:
http://escapegoat.org/2007/10/5/installing-rmagick-with-ruby-on-debian/
http://209.85.173.104/search?q=cache:dcH34dr7SWsJ:www.linuxconsultingteam.com/+Can’t+find+Magick-config+or+GraphicsMagick-config+program&hl=en&ct=clnk&cd=18&gl=us&client=firefox-a